Last Comment Bug 730924 - [tracking bug] sign OS X builds
: [tracking bug] sign OS X builds
Status: RESOLVED FIXED
[signing]
:
Product: Release Engineering
Classification: Other
Component: General Automation (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Erick Dransch [:edransch]
: Chris AtLee [:catlee]
:
Mentors:
: 752613 (view as bug list)
Depends on: 400296 723176 728182 729077 730922 752613 757684 759110 759318
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-27 12:06 PST by Ben Hearsum (:bhearsum)
Modified: 2013-08-12 21:54 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Ben Hearsum (:bhearsum) 2012-02-27 12:06:25 PST
Tracking bug for signing all OS X builds. Because certain features, like keychain integration, require signed builds we'll have to sign all builds: continuous integration ones, nightlies, and releases. Like with Windows, we'll use our self signed key for CI builds and nightlies on certain branches, and use different keys for the other nightlies and releases.
Comment 1 Ben Hearsum (:bhearsum) 2012-05-22 15:58:11 PDT
*** Bug 752613 has been marked as a duplicate of this bug. ***
Comment 2 Ben Hearsum (:bhearsum) 2012-05-29 05:54:05 PDT
As far as I'm concerned, this is FIXED. Bugs 758098 and 758188 are tracking non-blocking follow-up issues, but Nightly, Aurora, and Beta (as of 13.0b6) are now signed. 13.0 will be signed. Everything else (project branches, dep builds, try, etc.) are signed with our self-signed key.

Note You need to log in before you can comment on or make changes to this bug.